Skip to main content

REST API Overview

The Woes REST API lets server-side integrations work with workspace support data using woesk_ workspace API keys.

Current Status

AreaStatus
Conversations APIActive for listing, creating, reading, updating, and adding messages.
Widget APIActive for public widget messaging and events.
Survey response APIActive for signed email survey responses.
Workspace API keysActive for REST API authentication.
Issues, clients, agents, sources, and analytics exportsPlanned.

Base URL

https://woes.dev/api/v1

Authentication

Send your workspace API key as a Bearer token.
curl https://woes.dev/api/v1/conversations \
  -H "Authorization: Bearer $WOES_API_KEY"
Create keys in Settings → Keys. Full secrets are shown once and then stored hashed.

Active Resources

ResourceEndpoints
ConversationsGET /conversations, POST /conversations, GET /conversations/{conversationId}, PATCH /conversations/{conversationId}
MessagesGET /conversations/{conversationId}/messages, POST /conversations/{conversationId}/messages
REST API keys are server-side secrets. Do not place woesk_ keys in browser code, widget snippets, mobile apps, or customer-visible pages.